Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/schedules/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/schedules/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "<string>",
"name": "<string>",
"target": "<string>",
"scope": [],
"scanType": "recon",
"scheduleType": "now",
"enabled": true,
"workflowSteps": [],
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"runAt": "<unknown>",
"cron": "<string>",
"recurringInterval": "daily",
"intervalDays": 123,
"lastRunAt": "<unknown>",
"lastRunStatus": "<string>",
"nextRunAt": null
}{
"error": "<string>"
}{
"error": "<string>"
}Schedules
Get a resource by id
GET
/
api
/
schedules
/
{id}
Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/schedules/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/schedules/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "<string>",
"name": "<string>",
"target": "<string>",
"scope": [],
"scanType": "recon",
"scheduleType": "now",
"enabled": true,
"workflowSteps": [],
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"runAt": "<unknown>",
"cron": "<string>",
"recurringInterval": "daily",
"intervalDays": 123,
"lastRunAt": "<unknown>",
"lastRunStatus": "<string>",
"nextRunAt": null
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Response
The resource.
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Available options:
recon, monitoring, email-digest Available options:
now, once, recurring Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
daily, weekly, monthly, every_n_days, custom Required range:
x <= 9007199254740991
